<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

include_once(AMINA_PATH.'/lib/view.lib.php');

//주소
$lurl = G5_BBS_URL.'/board.php?bo_table='.$bo_table.'&wr_id='.$wr_id; //긴 주소
$surl = amina_short_url($lurl); //짧은 주소

//1:1 게시판용 체크
if($amina['bo_type'] == "2" && !$is_admin) include_once(AMINA_PATH.'/view.check.1vs1.php');

//아이콘
$v_icon = amina_array_icon($view['wr_5']);

//채택
if($amina['cmt_choice'] && $v_icon['choice_point'] > 0) {
	$is_choice = 'none';
	if($v_icon['choice'] == "<choice>") $is_choice = 'done';
	if($is_choice != "done" && ($member['mb_id'] == $view['mb_id'])) $is_choice = 'select';
}

// 코멘트를 새창으로 여는 경우 세션값이 없으므로 생성한다.
if ($is_admin && !$token) {
    set_session("ss_delete_token", $token = uniqid(time()));
}

$list = array();

$is_comment_write = false;
if ($member['mb_level'] >= $board['bo_comment_level']) 
    $is_comment_write = true;

// 코멘트 출력
$sql = " select * from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1 order by wr_comment, wr_comment_reply ";
$result = sql_query($sql);
for ($i=0; $row=sql_fetch_array($result); $i++) {
    $list[$i] = $row;

    $tmp_name = get_text(cut_str($row['wr_name'], $config['cf_cut_name'])); // 설정된 자리수 만큼만 이름 출력
    if ($board['bo_use_sideview'])
        $list[$i]['name'] = get_sideview($row['mb_id'], $tmp_name, $row['wr_email'], $row['wr_homepage']);
    else
        $list[$i]['name'] = "<span class='".($row['mb_id']?'member':'guest')."'>$tmp_name</span>";

    $list[$i]['content'] = $list[$i]['content1']= "비밀글 입니다.";
    if (!strstr($row['wr_option'], "secret") || $is_admin || ($write['mb_id']==$member['mb_id'] && $member['mb_id']) || ($row['mb_id']==$member['mb_id'] && $member['mb_id'])) {
        $list[$i]['content1'] = $row['wr_content'];
        $list[$i]['content'] = conv_content($row['wr_content'], 0, 'wr_content');
        $list[$i]['content'] = search_font($stx, $list[$i]['content']);
    }

    $list[$i]['trackback'] = url_auto_link($row['wr_trackback']);
    $list[$i]['datetime'] = substr($row['wr_datetime'],2,14);

    // 관리자가 아니라면 중간 IP 주소를 감춘후 보여줍니다.
    $list[$i]['ip'] = $row['wr_ip'];
    if (!$is_admin)
        $list[$i]['ip'] = preg_replace("/([0-9]+).([0-9]+).([0-9]+).([0-9]+)/", "\\1.♡.\\3.\\4", $row['wr_ip']);

    $list[$i]['is_reply'] = false;
    $list[$i]['is_edit'] = false;
    $list[$i]['is_del']  = false;
	if ($is_comment_write || $is_admin) 
    {
        if ($member['mb_id']) 
        {
            if ($row['mb_id'] == $member['mb_id'] || $is_admin) 
            {
                $list[$i]['del_link']  = AMINA_URL."/comment.php?w=cd&bo_table=".$bo_table."&comment_id=".$row['wr_id']."&token=".$token."&cwin=".$cwin."&page=".$page.$qstr;
                $list[$i]['is_edit']   = true;
                $list[$i]['is_del']    = true;
			}
        } 
        else 
        {
            if (!$row['mb_id']) {
                $list[$i]['del_link'] = G5_BBS_URL."/password.php?w=x&bo_table=".$bo_table."&comment_id=".$row['wr_id']."&cwin=".$cwin."&page=".$page.$qstr;
                $list[$i]['is_del']   = true;
			}
        }

        if (strlen($row['wr_comment_reply']) < 5)
            $list[$i]['is_reply'] = true;
    }

    // 05.05.22
    // 답변있는 코멘트는 수정, 삭제 불가
    if ($i > 0 && !$is_admin)
    {
        if ($row['wr_comment_reply']) 
        {
            $tmp_comment_reply = substr($row['wr_comment_reply'], 0, strlen($row['wr_comment_reply']) - 1);
            if ($tmp_comment_reply == $list[$i-1]['wr_comment_reply'])
            {
                $list[$i-1]['is_edit'] = false;
                $list[$i-1]['is_del'] = false;
            }
        }
    }
}

unset($row); //$row 초기화

include($cmt_skin_path.'/cmt.skin.php'); 

?>